%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name util-deprecate

Name: %{?scl_prefix}nodejs-util-deprecate
Version: 1.0.1
Release: 1%{?dist}
Summary: The Node
License: MIT
Group: Development/Libraries
URL: https://github.com/TooTallNate/util-deprecate
Source0: https://registry.npmjs.org/util-deprecate/-/util-deprecate-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc History.md
%doc README.md

%changelog
